Subject: Writing drivers for external IP cores

From: "A. Nolson" <[email-masked]>
Date: Tue, 12 Feb 2008 12:54:29 +0100

Hi ,

 I am going to start developing some IP cores for my virtex fx12 (ML403) 
and I need to control them through my embedded Linux ( it is already 
working in the ppc405 ).  I am a bit lost and I need some references for 
developing drivers. In principle, I will start with something like a 
GPIO. I think an example like a driver for controlling the push buttons 
of my Ml403 will be enough. An example IP core for that will also be 
also very helpful.

 Any suggestion?
 
 Thanks in advance

 /A